Name: kde-kdm
Summary: KDM -> KDE Display Manager (kdm)
Version: 0.5
Release: 4
Source0: ftp.kde.org:/pub/kde/kdm/kdm-0.5.tar.gz
Patch0: kdm-userpic.patch
Patch1: kdm-pics.patch
Patch2: kdm-rpcauth.patch
Patch3: kdm-glibc.patch
Patch4: kdm-buildroot.patch
Copyright: GPL
Packager: Joerg Mertin <smurphy@linux.de>
Group: X11/K Desktop Environment
Requires: qt >= 1.2, libgr
BuildRoot: /tmp/kde-kdm

%description
Kdm is intended as a "drop-in" replacement of xdm. It reads the xdm
specific files (usually in /usr/X11R6/lib/X11/xdm), so it should not be
necessary to change them. The KDE configuration is in the file
$(KDEDIR)/etc/kdmrc. Please look at the HTML and the example kdmrc

%prep
%setup -T -c -a 0

%patch0 -p0
%patch1 -p0

if [ -f /usr/include/_G_config.h ]; then
	if ! grep '_LINUX_C_LIB_VERSION' /usr/include/_G_config.h > /dev/null; then
		patch -p0 < $RPM_SOURCE_DIR/kdm-rpcauth.patch
		patch -p0 < $RPM_SOURCE_DIR/kdm-glibc.patch
	fi
fi

%patch4 -p0


%build
export KDEDIR=/opt/kde
export QTDIR=/usr/lib/qt

cd kdm-0.5
./configure --with-pam --with-xdmdir=/etc/X11/xdm --prefix=$RPM_BUILD_ROOT$KDEDIR
make KDEDIR=$KDEDIR
make KDEDIR=$RPM_BUILD_ROOT$KDEDIR install


%files
/opt/kde/bin/kdm
/opt/kde/bin/kdmdesktop
/opt/kde/lib/pics/kdelogo.xpm
/opt/kde/lib/pics/kdm_bg.jpg
/opt/kde/lib/pics/users
/opt/kde/doc/HTML/kdm
%config /opt/kde/config/kdmrc
%config /opt/kde/apps/System/kdm.kdelnk
%doc kdm-0.5/samples/* kdm-0.5/kdm-0.5.lsm
